package com.ruoyi.system.service;

import java.math.BigDecimal;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.UserBilling;

/**
 * BillingService接口
 * 
 * @author ruoyi
 * @date 2023-09-06
 */
public interface IUserBillingService extends IService<UserBilling>
{
    /**
     * 查询Billing
     * 
     * @param id Billing主键
     * @return Billing
     */
    public UserBilling selectUserBillingById(Long id);

    /**
     * 查询Billing列表
     * 
     * @param userBilling Billing
     * @return Billing集合
     */
    public List<UserBilling> selectUserBillingList(UserBilling userBilling);

    /**
     * 新增Billing
     * 
     * @param userBilling Billing
     * @return 结果
     */
    public int insertUserBilling(UserBilling userBilling);

    /**
     * 修改Billing
     * 
     * @param userBilling Billing
     * @return 结果
     */
    public int updateUserBilling(UserBilling userBilling);

    /**
     * 批量删除Billing
     * 
     * @param ids 需要删除的Billing主键集合
     * @return 结果
     */
    public int deleteUserBillingByIds(Long[] ids);

    /**
     * 删除Billing信息
     * 
     * @param id Billing主键
     * @return 结果
     */
    public int deleteUserBillingById(Long id);

    public BigDecimal getUserBalance(Long userId);
}
